%define name njb-sharp
%define version 0.3.0
%define svn 54024
%define rel 5
%define release %mkrel %rel
%define monoprefix %_prefix/lib
Summary: Library to control the Nomad jukebox database
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/%name/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://banshee-project.org/Subprojects/Njb-sharp
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: mono-tools
BuildRequires: libnjb-devel >= 2.2.4

%description
njb-sharp: Mono/C# Bindings to libnjb (http://libnjb.sourceforge.net)

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
njb-sharp: Mono/C# Bindings to libnjb (http://libnjb.sourceforge.net)

This package contains the API documentation for the %name in
Monodoc format.



%prep
%setup -q

%build
%configure2_5x
#gw parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/%name/*a
cat > %buildroot%_libdir/%name/%name.dll.config << EOF
<configuration>
  <dllmap dll="libnjb" target="libnjb.so.5">
  <dllmap dll="libnjbglue" target="%_libdir/%name/libnjbglue.so">
</configuration>
EOF
perl -pi -e "s^%_prefix/lib/^%_libdir/^" %buildroot%_libdir/pkgconfig/%name.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%defattr(-,root,root)
%doc README AUTHORS
%_libdir/%name
%_libdir/pkgconfig/*

%files doc
%defattr(-,root,root)
%monoprefix/monodoc/sources/*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.3.0-5mdv2008.1
+ Revision: 136632
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 21 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-5mdv2007.0
- split monodoc docs to separate package

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-4mdv2007.0
- add libnjbglue path to dll map

* Sun Jul 23 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-3mdv2007.0
- rebuild for new mono

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.0
- fix postun script

* Tue May 02 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- lib64 fix

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
-

* Fri Jan 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- fix URL
- New release 0.2.2

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- new version

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-0.54024.1mdk
- add dll map
- new version

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-0.54023.1mdk
- initial package

